<template>
  <v-container fluid>
    <v-row>
      <v-col cols="12">
        <v-card>
          <v-tabs v-model="tab" background-color="primary" dark>
            <v-tab>User Preferences</v-tab>
            <v-tab>Global Settings</v-tab>
            <v-tab>Docker Settings</v-tab>
            <v-tab>Git Integration</v-tab>
            <v-tab>CI/CD Integration</v-tab>
          </v-tabs>

          <v-tab-item>
            <user-preferences></user-preferences>
          </v-tab-item>

          <v-tab-item>
            <global-settings></global-settings>
          </v-tab-item>

          <v-tab-item>
            <docker-settings></docker-settings>
          </v-tab-item>

          <v-tab-item>
            <git-integration-settings></git-integration-settings>
          </v-tab-item>

          <v-tab-item>
            <ci-cd-integration-settings></ci-cd-integration-settings>
          </v-tab-item>
        </v-card>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
import UserPreferences from '~/components/settings/UserPreferences.vue';
import GlobalSettings from '~/components/settings/GlobalSettings.vue';
import DockerSettings from '~/components/settings/DockerSettings.vue';
import GitIntegrationSettings from '~/components/settings/GitIntegrationSettings.vue';
import CiCdIntegrationSettings from '~/components/settings/CiCdIntegrationSettings.vue';

export default {
  components: {
    UserPreferences,
    GlobalSettings,
    DockerSettings,
    GitIntegrationSettings,
    CiCdIntegrationSettings
  },
  data() {
    return {
      tab: null
    };
  }
};
</script>

<style scoped>
/* Custom styles */
</style>
